package com.mortals.xhx.module.certificate.web;

import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.annotation.DataPermission;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.certificate.model.CertificateIndustryEntity;
import com.mortals.xhx.module.certificate.service.CertificateIndustryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 行业目录
*
* @author zxfei
* @date 2022-10-14
*/
@RestController
@RequestMapping("certificate/industry")
public class CertificateIndustryController extends BaseCRUDJsonBodyMappingController<CertificateIndustryService,CertificateIndustryEntity,Long> {

    @Autowired
    private ParamService paramService;

    public CertificateIndustryController(){
        super.setModuleDesc( "行业目录");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

    @Override
    @DataPermission
    public Rest<Object> list(CertificateIndustryEntity query) {
        return super.list(query);
    }
}